메인 콘텐츠로 건너뛰기
GET
/
v1
/
music
/
generations
/
{id}
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}
이 엔드포인트를 폴링하여 음악 생성 작업의 상태를 확인하세요.

경로 파라미터

id
string
필수
음악 생성 작업 ID입니다.

응답

id
string
작업 ID.
status
string
작업 상태: pending, processing, completed 또는 failed.
progress
integer
진행률 백분율 (0-100).
audio_url
string
오디오 파일을 다운로드할 URL (완료 시).
video_url
string
비주얼라이저가 포함된 비디오 버전의 URL (완료 시).
title
string
생성된 곡 제목.
lyrics
string
생성되거나 제공된 가사.
error
string
에러 메시지 (실패 시).
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}